curl -i -X POST \
'https://docs.api.rhythmsoftware.com/_mock/apis/collect/collect-v1/installmentSchedules/{tenantId}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"amount_billed": 0.1,
"amount_outstanding": 0.1,
"billing_address": {
"city": "string",
"country": "string",
"country_name": "string",
"county": "string",
"latitude": 0.1,
"line1": "string",
"line2": "string",
"line3": "string",
"longitude": 0.1,
"postal_code": "string",
"state": "string",
"time_zone_id": "string"
},
"business_unit_id": "string",
"contact_id": "string",
"currency_code": "AED",
"date_cancelled": "2019-08-24T14:15:22Z",
"date_last_processed": "2019-08-24T14:15:22Z",
"date_of_last_reminder": "2019-08-24T14:15:22Z",
"electronic_payment_info": {
"card_expiration": "string",
"card_type": "american express",
"merchant_account_tokens": [
{
"merchant_account_id": "string",
"token": "string"
}
],
"payment_account": "string",
"payment_origin": "ad hoc",
"token": "string",
"type": "credit card"
},
"entries": [
{
"amount": 0.1,
"billing_run_action_id": "string",
"billing_run_id": "string",
"date": "2019-08-24",
"entry_id": "string",
"installment_plan_id": null,
"invoice_id": "string",
"line_item_description": "string",
"order_id": "string",
"order_line_item_id": "string",
"payment_id": "string",
"perpetual_options": {
"end_date": "string",
"number_of_units": 1,
"unit_of_time": "months"
},
"product_id": "string",
"product_name": "string",
"product_type": "string",
"status": "open",
"transient_transaction_id": null,
"transient_transaction_type": "order",
"type": "based on installment plan"
}
],
"error_message": "string",
"id": "string",
"invoice_terms_id": "string",
"merchant_account_id": "string",
"next_processing_date": "string",
"notes": "string",
"number": 0.1,
"order_process_id": "string",
"order_type": "string",
"organization_id": "string",
"owner_type": "contact",
"pay_for_credit_card_processing_fees": true,
"remaining_number_of_installments": 0.1,
"status": "active",
"store_id": "string",
"suspended_until": "string",
"sys_bulk_load_at": "string",
"sys_bulk_load_id": "string",
"sys_bulk_load_pk": "string",
"sys_bulk_load_record_no": 0.1,
"sys_bulk_load_source_file": "string",
"sys_calculated_field_error": "string",
"sys_calculated_field_errors": [
{
"error": "string",
"field": "string"
}
],
"sys_configuration_snapshot_id": "string",
"sys_created_at": "2019-08-24T14:15:22Z",
"sys_created_by_id": "string",
"sys_deleted_by_id": "string",
"sys_directive": "string",
"sys_external_id": "string",
"sys_has_files_in_s3": true,
"sys_last_bulk_data_operation_id": "string",
"sys_last_bulk_data_operation_sys_version": "string",
"sys_last_modified_at": "2019-08-24T14:15:22Z",
"sys_last_modified_by_id": "string",
"sys_last_security_context": {},
"sys_locked": true,
"sys_snapshot_base_version": 0.1,
"sys_version": 0.1,
"use_pro_forma_invoices": true
}'